## cinder 24.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=5.8.0 # Apache-2.0
decorator>=4.4.2 # BSD
eventlet>=0.30.1,!=0.32.0 # MIT
greenlet>=0.4.16 # MIT
httplib2>=0.18.1 # MIT
iso8601>=0.1.12 # MIT
jsonschema>=3.2.0 # MIT
keystoneauth1>=4.2.1 # Apache-2.0
keystonemiddleware>=9.1.0 # Apache-2.0
lxml>=4.5.2 # BSD
oauth2client>=4.1.3 # Apache-2.0
oslo.config>=8.3.2 # Apache-2.0
oslo.concurrency>=4.5.0 # Apache-2.0
oslo.context>=3.4.0 # Apache-2.0
oslo.db>=11.0.0 # Apache-2.0
oslo.log>=4.6.1 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.middleware>=4.1.1 # Apache-2.0
oslo.policy>=3.8.1 # Apache-2.0
oslo.privsep>=2.6.2 # Apache-2.0
oslo.reports>=2.2.0 # Apache-2.0
oslo.rootwrap>=6.2.0 # Apache-2.0
oslo.serialization>=4.2.0 # Apache-2.0
oslo.service>=2.8.0 # Apache-2.0
oslo.upgradecheck>=1.1.1 # Apache-2.0
oslo.utils>=6.0.0 # Apache-2.0
oslo.versionedobjects>=2.4.0 # Apache-2.0
osprofiler>=3.4.0 # Apache-2.0
packaging>=20.4
paramiko>=2.7.2 # LGPLv2.1+
Paste>=3.4.3 # MIT
PasteDeploy>=2.1.0 # MIT
psutil>=5.7.2 # BSD
pyparsing>=2.4.7 # MIT
python-barbicanclient>=5.0.1 # Apache-2.0
python-glanceclient>=3.2.2 # Apache-2.0
python-keystoneclient>=4.1.1 # Apache-2.0
python-novaclient>=18.2.0 # Apache-2.0
python-swiftclient>=3.10.1 # Apache-2.0
pytz>=2020.1 # MIT
requests>=2.25.1 # Apache-2.0
Routes>=2.4.1 # MIT
taskflow>=4.5.0 # Apache-2.0
rtslib-fb>=2.1.74 # Apache-2.0
six>=1.15.0 # MIT
SQLAlchemy>=1.4.23 # MIT
stevedore>=3.2.2 # Apache-2.0
tabulate>=0.8.7 # MIT
tenacity>=6.3.1 # Apache-2.0
WebOb>=1.8.6 # MIT
oslo.i18n>=5.1.0 # Apache-2.0
oslo.vmware>=3.10.0 # Apache-2.0
os-brick>=6.0.0 # Apache-2.0
os-win>=5.5.0 # Apache-2.0
tooz>=2.8.0 # Apache-2.0
google-api-python-client>=1.11.0 # Apache-2.0
castellan>=3.7.0 # Apache-2.0
cryptography>=3.1 # BSD/Apache-2.0
cursive>=0.2.2 # Apache-2.0
zstd>=1.4.5.1 # BSD
boto3>=1.18.49 # Apache-2.0
distro>=1.8.0 # Apache-2.0

=== debian/changelog ===
cinder (2:24.0.0-0ubuntu2) oracular; urgency=medium

  * Use python3-google-auth instead of python3-oauth2client

 -- Adrien Nader <adrien.nader@canonical.com>  Tue, 04 Jun 2024 15:59:08 +0200

cinder (2:24.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 11:37:04 +0100

cinder (2:24.0.0~rc1-0ubuntu1) noble; urgency=medium

  * d/watch: Track Caracal series releases.
  * New upstream release candidate for OpenStack Caracal.
  * d/p/*: Refresh.
  * d/control: Align (Build-)Depends with upstream RC.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2024 16:52:39 +0000

cinder (2:23.0.0+git2024011915.b8cd101f-0ubuntu2) noble; urgency=medium

  * d/tests/control: Add rabbitmq-server to Depends.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Feb 2024 10:39:56 +0000

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 apache2-dev,
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 123ubuntu2~),
 python3-all,
 python3-pbr (>= 5.8.0),
 python3-setuptools,
 python3-sphinx (>= 3.5.1),
 python3-tabulate (>= 0.8.7),
Build-Depends-Indep:
 python3-barbicanclient (>= 5.0.1),
 python3-boto3 (>= 1.18.49),
 python3-botocore,
 python3-castellan (>= 3.7.0),
 python3-coverage,
 python3-cryptography (>= 3.1),
 python3-cursive (>= 0.2.2),
 python3-ddt (>= 1.4.4),
 python3-decorator (>= 4.4.2),
 python3-distro (>= 1.8.0),
 python3-doc8,
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:3.2.2),
 python3-googleapi (>= 1.7.11),
 python3-google-auth (>= 2.28.2-3),
 python3-greenlet (>= 0.4.16),
 python3-hacking,
 python3-httplib2 (>= 0.18.1),
 python3-importlib-metadata (>= 3.1.1),
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystoneclient (>= 1:4.1.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-migrate (>= 0.13.0),
 python3-mock (>= 2.0.0),
 python3-mypy,
 python3-novaclient (>= 2:18.2.0),
 python3-openstackdocstheme (>= 2.2.7),
 python3-os-api-ref (>= 2.1.0),
 python3-os-brick (>= 6.0.0),
 python3-os-win (>= 5.5.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.4.0),
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.log (>= 4.6.1),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.privsep (>= 2.6.2),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.2.0),
 python3-oslo.service (>= 2.8.0),
 python3-oslo.upgradecheck (>= 1.1.1),
 python3-oslo.utils (>= 6.0.0),
 python3-oslo.versionedobjects (>= 2.4.0),
 python3-oslo.vmware (>= 3.10.0),
 python3-oslotest (>= 1:4.5.0),
 python3-osprofiler (>= 3.4.0),
 python3-packaging (>= 20.4),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 5.7.2),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql (>= 0.10.0),
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.25.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-rtslib-fb (>= 2.1.74),
 python3-six (>= 1.15.0),
 python3-sphinx-feature-classification (>= 1.1.0),
 python3-sphinxcontrib.apidoc (>= 0.3.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-sqlalchemy-utils (>= 0.37.8),
 python3-stestr (>= 3.2.1),
 python3-stevedore (>= 1:3.2.2),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.10.1),
 python3-taskflow (>= 5.4.0-0ubuntu2~),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 6.3.1),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-tooz (>= 2.8.0),
 python3-tz (>= 2020.1),
 python3-webob (>= 1:1.8.6),
 python3-zstd (>= 1.4.5.1),
Standards-Version: 4.6.1
Homepage: https://launchpad.net/cinder
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
Testsuite: autopkgtest-pkg-python

Package: cinder-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-scheduler
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 lvm2,
 python3-cinder (= ${binary:Version}),
 qemu-utils,
 targetcli-fb,
 ${misc:Depends},
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 python3-barbicanclient (>= 5.0.1),
 python3-castellan (>= 3.7.0),
 python3-cryptography (>= 3.1),
 python3-cursive (>= 0.2.2),
 python3-decorator (>= 4.4.2),
 python3-distro (>= 1.8.0),
 python3-eventlet (>= 0.30.1),
 python3-glanceclient (>= 1:3.2.2),
 python3-greenlet (>= 0.4.16),
 python3-httplib2 (>= 0.18.1),
 python3-importlib-metadata (>= 3.1.1),
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystoneclient (>= 1:4.1.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-migrate (>= 0.13.0),
 python3-novaclient (>= 2:18.2.0),
 python3-os-brick (>= 6.0.0),
 python3-os-win (>= 5.5.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.4.0),
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.log (>= 4.6.1),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.privsep (>= 2.6.2),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.2.0),
 python3-oslo.service (>= 2.8.0),
 python3-oslo.upgradecheck (>= 1.1.1),
 python3-oslo.utils (>= 6.0.0),
 python3-oslo.versionedobjects (>= 2.4.0),
 python3-oslo.vmware (>= 3.10.0),
 python3-osprofiler (>= 3.4.0),
 python3-packaging (>= 20.4),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pbr (>= 5.8.0),
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 5.7.2),
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.25.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-rtslib-fb (>= 2.1.74),
 python3-six (>= 1.15.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-stevedore (>= 1:3.2.2),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.10.1),
 python3-tabulate (>= 0.8.7),
 python3-taskflow (>= 5.4.0-0ubuntu2~),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 2.8.0),
 python3-tz (>= 2020.1),
 python3-webob (>= 1:1.8.6),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-boto3 (>= 1.18.49),
 python3-botocore,
 python3-googleapi (>= 1.7.11),
 python3-google-auth (>= 2.28.2-3),
 python3-hp3parclient,
 python3-rados,
 python3-rbd,
 python3-zstd (>= 1.4.5.1),
Description: Cinder Python 3 libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python 3 library for Cinder.

## cinder 24.2.0

=== debian/changelog ===
cinder (2:24.2.0-0ubuntu2) noble; urgency=medium

  * d/p/lp2121812.patch: Fix defaults for netapp node model (LP:
    #2121812)

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Tue, 09 Sep 2025 16:14:54 +0530

cinder (2:24.2.0-0ubuntu1) noble; urgency=medium

  * d/gbp.conf: Set upstream branch to upstream-caracal.
  * New upstream release for OpenStack Caracal (LP: #2097425).
  * d/p/CVE-2024-32498.patch: Drop, included in release.
  * d/p/lp1823445.patch: Refresh.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Feb 2025 10:01:53 +0000

cinder (2:24.0.0-0ubuntu1.4) noble; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ Rodrigo Barbieri ]
  * d/p/lp1823445.patch: Fix "signature_verified" volume metadata
    from propagating to images and causing errors later when
    creating volumes from such images (LP: #1823445).

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Mon, 09 Dec 2024 14:32:04 +0000

cinder (2:24.0.0-0ubuntu1.3) noble-security; urgency=medium

  * SECURITY REGRESSION: regression due to missing privset handling
  (LP: #2085851)
    - debian/patches/CVE-2024-32498.patch: switch to final upstream patch
      which differs from the patch provided during embargo.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 Nov 2024 07:16:36 -0500

cinder (2:24.0.0-0ubuntu1.2) noble-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file access via custom QCOW2 external data
    (LP: #2059809)
    - debian/patches/CVE-2024-32498.patch: check for external qcow2 data
      file.
    - debian/control: added qemu-utils to Build-Depends so qemu-img is
      available for new tests.
    - CVE-2024-32498

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Jun 2024 16:35:39 -0400

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  python3-setuptools,
  python3-sphinx (>= 3.5.1),
  python3-tabulate (>= 0.8.7),
+ qemu-utils,
 Build-Depends-Indep:
  python3-barbicanclient (>= 5.0.1),
  python3-boto3 (>= 1.18.49),
@@ -30,7 +31,6 @@
  python3-fixtures (>= 3.0.0),
  python3-glanceclient (>= 1:3.2.2),
  python3-googleapi (>= 1.7.11),
- python3-google-auth (>= 2.28.2-3),
  python3-greenlet (>= 0.4.16),
  python3-hacking,
  python3-httplib2 (>= 0.18.1),
@@ -45,6 +45,7 @@
  python3-mock (>= 2.0.0),
  python3-mypy,
  python3-novaclient (>= 2:18.2.0),
+ python3-oauth2client (>= 4.1.3),
  python3-openstackdocstheme (>= 2.2.7),
  python3-os-api-ref (>= 2.1.0),
  python3-os-brick (>= 6.0.0),
@@ -264,8 +265,8 @@
  python3-boto3 (>= 1.18.49),
  python3-botocore,
  python3-googleapi (>= 1.7.11),
- python3-google-auth (>= 2.28.2-3),
  python3-hp3parclient,
+ python3-oauth2client (>= 4.1.3),
  python3-rados,
  python3-rbd,
  python3-zstd (>= 1.4.5.1),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,apache2 --buildsystem=pybuild

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python*-cinder/usr/etc

override_dh_install:
	dh_install -Xbin/cinder-all -Xusr/bin/cinder-api
	dh_missing --fail-missing -Xbin/cinder-all -Xusr/bin/cinder-api

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf

override_dh_clean:
	# temporary workaround for d2to1 wonkyness
	dh_clean -Xsetup.cfg
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs .testrepository

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: cinder-daemons cinder-volume
Depends:
 cinder-api,
 cinder-scheduler,
 lvm2,
 mysql-server,
 rabbitmq-server,
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/cinder/ cinder-(24.\d.*)\.tar\.gz

## cinder 24.4.0

=== debian/changelog ===
cinder (2:24.4.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 09:53:22 +0000

cinder (2:24.3.0-2) UNRELEASED; urgency=medium

  * New upstream point release.
  * Removed patches applied upstream:
    - cve-2024-32498-cinder-stable-2024.1.patch
  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:12:33 +0200

cinder (2:24.0.0-9) UNRELEASED; urgency=medium

  * Add Fix_type_passed_to_write_function_during_backup_restoration.patch.
  * Add fix-db-schema-migration.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Sep 2024 14:48:45 +0200

cinder (2:24.0.0-8) unstable; urgency=medium

  * cinder-common.config: correctly calls manage_glance_api_servers.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jul 2024 03:48:32 +0200

cinder (2:24.0.0-7) unstable; urgency=medium

  * Add do-not-import-oauth2client.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jul 2024 07:56:41 +0200

cinder (2:24.0.0-6) unstable; urgency=medium

  * Add make-package-reproducible.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jul 2024 03:07:09 +0200

cinder (2:24.0.0-5) unstable; urgency=medium

  * Add remove-oauth2client-from-requirements.txt.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Jul 2024 17:58:01 +0200

cinder (2:24.0.0-4) unstable; urgency=high

  * CVE-2024-32498: Arbitrary file access through custom QCOW2 external data.
    Add upstream patch (Closes: #1074763):
    - cve-2024-32498-cinder-stable-2024.1.patch
  * Fix debian/cinder-common.config.in
  * Build-depends on qemu-utils (needed for new tests).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Jun 2024 09:15:45 +0200

cinder (2:24.0.0-3) unstable; urgency=medium

  * Replaced python3-oauth2client by python3-google-auth (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 May 2024 16:23:31 +0200

cinder (2:24.0.0-2) unstable; urgency=medium

  * Blacklist test_main_multiprocess that is not deterministically failing
    (Closes: #1031057).

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 May 2024 14:11:54 +0200

cinder (2:24.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 09:03:18 +0200

cinder (2:24.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed applied upstream patches: debian/patches/sqla2.0-db_*.
  * Rebased: remove-test_backup_s3.patch.
  * Blacklist TestObjectVersions.test_versions as object hash changed.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Mar 2024 16:36:57 +0100

## cinder 24.5.0

=== debian/changelog ===
cinder (2:24.5.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patches applied upstream:
    - Fix_type_passed_to_write_function_during_backup_restoration.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Wed, 05 Nov 2025 07:57:41 +0000

cinder (2:24.4.0-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Sep 2025 11:51:35 +0200

=== debian/control ===
Source: cinder
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-barbicanclient,
 python3-boto3,
 python3-castellan,
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-ddt,
 python3-decorator,
 python3-distro,
 python3-doc8,
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient,
 python3-googleapi,
 python3-google-auth,
 python3-greenlet,
 python3-hacking,
 python3-httplib2,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mypy (>= 1.7.0),
 python3-mysqldb,
 python3-novaclient (>= 2:18.2.0),
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-brick,
 python3-os-win,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslo.vmware,
 python3-oslotest,
 python3-osprofiler,
 python3-packaging,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-psutil,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql,
 python3-pyparsing,
 python3-reno,
 python3-requests,
 python3-routes,
 python3-rtslib-fb,
 python3-six,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-tabulate,
 python3-taskflow,
 python3-tenacity,
 python3-testtools,
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-zstd,
 qemu-utils,
 subunit,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/cinder
Vcs-Git: https://salsa.debian.org/openstack-team/services/cinder.git
Homepage: https://github.com/openstack/cinder

Package: cinder-api
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - API server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - Backup server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 cryptsetup-bin,
 cgroup-tools,
 python3-cinder (= ${binary:Version}),
 thin-provisioning-tools,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - common files
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: cinder-doc
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack block storage system - doc
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage
 solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the documentation.

Package: cinder-scheduler
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - Scheduler server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 lvm2,
 qemu-utils,
 tgt | open-iscsi,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 ceph-common,
Description: OpenStack block storage system - Volume server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 python3-barbicanclient,
 python3-boto3,
 python3-castellan,
 python3-cryptography,
 python3-cursive,
 python3-decorator,
 python3-distro,
 python3-eventlet,
 python3-glanceclient,
 python3-googleapi,
 python3-google-auth,
 python3-greenlet,
 python3-httplib2,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mysqldb,
 python3-novaclient (>= 2:18.2.0),
 python3-os-brick,
 python3-os-win,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslo.vmware,
 python3-osprofiler,
 python3-packaging,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-psutil,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-routes,
 python3-rtslib-fb,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-tabulate,
 python3-taskflow,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-zstd,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ceph-common,
 python3-ceph,
 python3-hp3parclient,
Description: OpenStack block storage system - Python libraries
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Python libraries that are part of Cinder.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT ?= https://opendev.org/openstack/cinder.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f debian/cinder-common.config debian/cinder-common.postinst debian/cinder-api.config debian/cinder-api.postinst debian/cinder-volume.postinst debian/cinder-common.postrm
	rm -rf debian/*.upstart debian/*.service debian/*.templates
	if [ -e debian/po-backup ] ; then \
		rm -rf debian/po ; \
		mv debian/po-backup debian/po ; \
	fi
	rm -rf build $(CURDIR)/debian/*.init
	find . -name '*.pyc' -delete
	rm -rf .stestr
	rm -rf cinder.egg-info
	rm -f AUTHORS ChangeLog
	rm -rf doc/source/contributor/api doc/source/drivers.rst
	rm -f doc/source/_static/cinder.conf.sample doc/source/_static/cinder.policy.yaml.sample
	rm -rf .datacore_cha conversion
	rm -f .datacore_chap
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-volume.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm cinder-common.postrm
	cp -auxf debian/po debian/po-backup
	pkgos-merge-templates cinder-api cinder endpoint
	pkgos-merge-templates cinder-common cinder db rabbit ksat

override_dh_install:
	python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# See https://bugs.launchpad.net/cinder/+bug/2000436
	# See https://bugs.launchpad.net/cinder/+bug/2046227
	# cinder.tests.unit.objects.test_objects.TestObjectVersions.test_versions : object hash changed
	pkgos-dh_auto_test --no-py2 'cinder\.tests\.unit\.(?!(volume\.drivers\.test_nfs.*)|volume\.drivers\.test_rbd\.RBDTestCase\.test_delete_volume_not_found|.*backup\.drivers\.test_backup_ceph\.BackupCephTestCase.*|.*volume\.drivers\.hpe\.test_hpe3par.*|.*objects\.test_objects\.TestObjectVersions\.test_versions.*|test_cmd\.TestCinderBackupCmd\.test_main_multiprocess)'
endif

	mkdir -p $(CURDIR)/debian/cinder-common/usr/share/cinder-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf \
		--wrap-width 140 \
		--namespace castellan.config \
		--namespace cinder \
		--namespace keystonemiddleware.auth_token \
		--namespace osprofiler \
		--namespace oslo.config \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.policy \
		--namespace oslo.privsep \
		--namespace oslo.reports \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace oslo.versionedobjects \
		--namespace os_brick

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf keystone_authtoken cinder

	mkdir -p $(CURDIR)/debian/cinder-common/etc/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/cinder-common/etc/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace cinder

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/cinder-common/etc/policy.d/00_default_policy.yaml


	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf oslo_policy policy_dirs /etc/cinder/policy.d

	dh_install
	dh_missing --fail-missing -Xbin/cinder-all
	install -D -m 0440 debian/cinder-common.sudoers $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf DEFAULT auth_strategy keystone

	# Set LVM as default backend
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf DEFAULT enabled_backends lvm
	echo "[lvm]" 				>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_driver = cinder.volume.drivers.lvm.LVMVolumeDriver" >> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_group = pkgosvg0" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_protocol = iscsi" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_helper = tgtadm" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	# Set a default value for lock_path & state_path
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf oslo_concurrency lock_path /var/lock/cinder

	# Fix the missing sql_connection directive
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf database sqlite:////var/lib/cinder/cinderdb

	install -D -m 0644 $(CURDIR)/etc/cinder/logging_sample.conf $(CURDIR)/debian/cinder-common/usr/share/cinder-common/logging.conf

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf
	chmod 0440 $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-cinder/usr/lib/python3/dist-packages PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/cinder-doc/usr/share/doc/cinder-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## cinder 25.0.0

=== requirements.txt ===
--- 
+++ 
@@ -12,7 +12,6 @@
 keystoneauth1>=4.2.1 # Apache-2.0
 keystonemiddleware>=9.1.0 # Apache-2.0
 lxml>=4.5.2 # BSD
-oauth2client>=4.1.3 # Apache-2.0
 oslo.config>=8.3.2 # Apache-2.0
 oslo.concurrency>=4.5.0 # Apache-2.0
 oslo.context>=3.4.0 # Apache-2.0
@@ -20,9 +19,9 @@
 oslo.log>=4.6.1 # Apache-2.0
 oslo.messaging>=14.1.0 # Apache-2.0
 oslo.middleware>=4.1.1 # Apache-2.0
-oslo.policy>=3.8.1 # Apache-2.0
+oslo.policy>=3.11.0 # Apache-2.0
 oslo.privsep>=2.6.2 # Apache-2.0
-oslo.reports>=2.2.0 # Apache-2.0
+oslo.reports>=3.2.0 # Apache-2.0
 oslo.rootwrap>=6.2.0 # Apache-2.0
 oslo.serialization>=4.2.0 # Apache-2.0
 oslo.service>=2.8.0 # Apache-2.0
@@ -41,12 +40,10 @@
 python-keystoneclient>=4.1.1 # Apache-2.0
 python-novaclient>=18.2.0 # Apache-2.0
 python-swiftclient>=3.10.1 # Apache-2.0
-pytz>=2020.1 # MIT
 requests>=2.25.1 # Apache-2.0
 Routes>=2.4.1 # MIT
 taskflow>=4.5.0 # Apache-2.0
 rtslib-fb>=2.1.74 # Apache-2.0
-six>=1.15.0 # MIT
 SQLAlchemy>=1.4.23 # MIT
 stevedore>=3.2.2 # Apache-2.0
 tabulate>=0.8.7 # MIT
@@ -64,3 +61,4 @@
 zstd>=1.4.5.1 # BSD
 boto3>=1.18.49 # Apache-2.0
 distro>=1.8.0 # Apache-2.0
+tzdata>=2022.4 # MIT

=== debian/changelog ===
cinder (2:25.0.0-6) unstable; urgency=medium

  * Removed pep8 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 08:36:09 +0100

cinder (2:25.0.0-5) unstable; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * d/cinder-volume.init.in: add tgt to Required-Start instead.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2024 11:56:55 +0100

cinder (2:25.0.0-4) unstable; urgency=medium

  * Updated debian/po/ca.po, thanks to Carles Pina.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2024 11:13:24 +0100

cinder (2:25.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090403).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 08:19:32 +0100

cinder (2:25.0.0-2) unstable; urgency=medium

  * Add fix-db-schema-migration.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Nov 2024 11:55:41 +0100

cinder (2:25.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 15:46:09 +0200

cinder (2:25.0.0~rc1-3) unstable; urgency=medium

  * Add Fix_type_passed_to_write_function_during_backup_restoration.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Sep 2024 14:47:51 +0200

cinder (2:25.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 16:42:12 +0200

cinder (2:25.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * rebased remove-test_backup_s3.patch
  * Deleted applied upstream patches:
    - cve-2024-32498-cinder-stable-2024.1.patch
    - make-package-reproducible.patch
    - remove-oauth2client-from-requirements.txt.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 08:26:14 +0200

=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
  python3-oslo.middleware,
  python3-oslo.policy,
  python3-oslo.privsep,
- python3-oslo.reports,
+ python3-oslo.reports (>= 3.2.0),
  python3-oslo.rootwrap,
  python3-oslo.serialization,
  python3-oslo.service,
@@ -72,7 +72,6 @@
  python3-paramiko,
  python3-paste,
  python3-pastedeploy,
- python3-pep8,
  python3-psutil,
  python3-psycopg2,
  python3-pygments,
@@ -82,7 +81,6 @@
  python3-requests,
  python3-routes,
  python3-rtslib-fb,
- python3-six,
  python3-sphinx-feature-classification,
  python3-sphinxcontrib.apidoc,
  python3-sqlalchemy,
@@ -275,7 +273,7 @@
  python3-oslo.middleware,
  python3-oslo.policy,
  python3-oslo.privsep,
- python3-oslo.reports,
+ python3-oslo.reports (>= 3.2.0),
  python3-oslo.rootwrap,
  python3-oslo.serialization,
  python3-oslo.service,
@@ -296,7 +294,6 @@
  python3-requests,
  python3-routes,
  python3-rtslib-fb,
- python3-six,
  python3-sqlalchemy,
  python3-stevedore,
  python3-swiftclient,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -f debian/cinder-common.config debian/cinder-common.postinst debian/cinder-api.config debian/cinder-api.postinst debian/cinder-volume.postinst debian/cinder-common.postrm

## cinder 25.1.0

=== debian/changelog ===
cinder (2:25.1.0-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Mar 2025 16:35:39 +0100

cinder (2:25.0.0-7) unstable; urgency=medium

  * Add Implements_cgroupsv2.patch (Closes: #993311).
  * Runtime depends on cgroup-tools >= 2.0.2.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Feb 2025 14:23:01 +0100

## cinder 25.3.0

=== debian/changelog ===
cinder (2:25.3.0-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Improve_heartbeats_RPC_pings.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Fri, 09 Jan 2026 21:33:36 +0000

cinder (2:25.3.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Remved patch applied upstream:
    - Fix_type_passed_to_write_function_during_backup_restoration.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Nov 2025 09:34:34 +0100

cinder (2:25.2.0-1) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.
  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Aug 2025 12:49:04 +0200

## cinder 26.0.0~rc2

=== debian/changelog ===
cinder (2:26.0.0~rc2-2) unstable; urgency=medium

  * Blacklist failing unit tests:
    - ISCSIVolumeDriverTestCase.test_initialize_connection

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Mar 2025 10:48:32 +0200

cinder (2:26.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Drop Implements_cgroupsv2.patch merged upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Mar 2025 10:29:47 +0200

cinder (2:26.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 14:19:50 +0100

cinder (2:26.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 17:24:27 +0100
